> For the complete documentation index, see [llms.txt](https://docs.fulfillmenttools.com/documentation/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.fulfillmenttools.com/documentation/apis/api-reference/facilities.md).

# Facilities

Facilities represent various locations that form part of the fulfillment network.

## GET /api/facilities

> List facilities

```json
{"openapi":"3.0.1","info":{"title":"fulfillmenttools","version":"VERSIONLESS"},"tags":[{"description":"Facilities represent various locations that form part of the fulfillment network.","name":"Facilities"}],"servers":[{"url":"https://{tenant}.api.fulfillmenttools.com","variables":{"tenant":{"default":"your-tenant-name"}}}],"security":[{"BearerToken":[]}],"components":{"securitySchemes":{"BearerToken":{"type":"http","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"FacilityOrderBy":{"description":"Attribute to order a facility list","enum":["NAME","CREATED","POSTAL_CODE_ASC"],"type":"string","xml":{"name":"FacilityOrderBy"},"title":"FacilityOrderBy"},"FacilityType":{"default":"MANAGED_FACILITY","enum":["MANAGED_FACILITY","SUPPLIER"],"type":"string","xml":{"name":"FacilityType"},"title":"FacilityType","description":"FacilityType"},"StrippedFacilities":{"properties":{"facilities":{"items":{"anyOf":[{"$ref":"#/components/schemas/StrippedManagedFacility"},{"$ref":"#/components/schemas/Supplier"}]},"type":"array"},"total":{"description":"Total number of found entities for this query","type":"integer"}},"type":"object","title":"StrippedFacilities","description":"StrippedFacilities"},"StrippedManagedFacility":{"allOf":[{"$ref":"#/components/schemas/VersionedResource"},{"$ref":"#/components/schemas/Address"},{"properties":{"id":{"type":"string"},"name":{"description":"name of the facility","type":"string"},"status":{"$ref":"#/components/schemas/FacilityStatus"},"tenantFacilityId":{"description":"The id of the facility in the tenants own system","type":"string"},"type":{"$ref":"#/components/schemas/FacilityType"}},"required":["id","status","type"],"type":"object"}],"title":"StrippedManagedFacility","description":"StrippedManagedFacility"},"VersionedResource":{"properties":{"created":{"description":"The date this entity was created at the platform. This value is generated by the service.","format":"date-time","type":"string"},"lastModified":{"description":"The date this entity was modified last. This value is generated by the service.","format":"date-time","type":"string"},"version":{"description":"The version of the document to be used in optimistic locking mechanisms.","format":"int64","type":"integer"}},"required":["version"],"type":"object","title":"VersionedResource","description":"VersionedResource"},"Address":{"properties":{"additionalAddressInfo":{"type":"string"},"city":{"pattern":"^.+$","type":"string"},"country":{"description":"A two-digit country code as per ISO 3166-1 alpha-2","pattern":"^[A-Z]{2}$","type":"string"},"customAttributes":{"description":"Attributes that can be added to the address. These attributes cannot be used within fulfillment processes, but it could be useful to have the informations carried here.","type":"object"},"houseNumber":{"pattern":"^.+$","type":"string"},"phoneNumbers":{"items":{"properties":{"customAttributes":{"description":"Attributes that can be added to the phonenumber. These attributes cannot be used within fulfillment processes, but it could be useful to have the informations carried here.","type":"object"},"label":{"description":"Can be used to give a description for the number, like \"private\", \"business number\", etc.","type":"string"},"type":{"enum":["MOBILE","PHONE"],"type":"string"},"value":{"description":"The number itself. We do not enforce any format (yet).","type":"string"}},"required":["value","type"],"type":"object"},"maxItems":500,"type":"array"},"postalCode":{"pattern":"^.+$","type":"string"},"province":{"pattern":"^.+$","type":"string"},"street":{"pattern":"^.+$","type":"string"}},"required":["street","city","postalCode","country"],"type":"object","title":"Address","description":"Address"},"FacilityStatus":{"description":"The state of the facility. ONLINE means that this facility can process new orders and pickjobs, SUSPENDED means it cannot get new orders but is able to fulfill the current workload and OFFLINE means that it cannot fulfill any new or existing orders. Processes already running might be rescheduled to another facility depending on the preferences.","enum":["ONLINE","SUSPENDED","OFFLINE"],"type":"string","title":"FacilityStatus"},"Supplier":{"allOf":[{"$ref":"#/components/schemas/Facility"},{"$ref":"#/components/schemas/SupplierForCreation"}],"properties":{"address":{"$ref":"#/components/schemas/SupplierAddress"}},"type":"object","xml":{"name":"Supplier"},"title":"Supplier","description":"Supplier"},"Facility":{"allOf":[{"$ref":"#/components/schemas/VersionedResource"},{"$ref":"#/components/schemas/FacilityForCreation"}],"properties":{"id":{"description":"The id of this facility. It is generated during creation automatically and suits as the primary identifier of the described entity.","type":"string"},"operativeCosts":{"items":{"$ref":"#/components/schemas/FacilityOperativeCost"},"maxItems":1,"type":"array"}},"required":["id","type","status"],"type":"object","xml":{"name":"Facility"},"title":"Facility","description":"Facility"},"FacilityForCreation":{"properties":{"customAttributes":{"description":"Attributes that can be added to the facility. These attributes cannot be used within fulfillment processes, but it could be useful to have the informations carried here.","type":"object"},"name":{"type":"string"},"operativeCosts":{"items":{"$ref":"#/components/schemas/FacilityOperativeCostForCreation"},"maxItems":1,"type":"array"},"status":{"$ref":"#/components/schemas/FacilityStatus"},"tenantFacilityId":{"description":"The id of the facility in the tenants own system","type":"string"},"type":{"$ref":"#/components/schemas/FacilityType","default":"MANAGED_FACILITY"},"tags":{"items":{"$ref":"#/components/schemas/TagReference"},"minItems":1,"type":"array"}},"required":["name"],"type":"object","xml":{"name":"FacilityForCreation"},"title":"FacilityForCreation","description":"FacilityForCreation"},"FacilityOperativeCostForCreation":{"properties":{"currency":{"allOf":[{"$ref":"#/components/schemas/CurrencyCode"}],"description":"The currency of the price as an ISO 4217 code.","nullable":true,"type":"string"},"decimalPlaces":{"description":"Number of decimal places for the given currency. We be defaulted according to the currency if missing.","minimum":0,"type":"integer"},"value":{"description":"Value of operational cost of the facility. Value is configured in the smallest subunit, e.g. cents.","minimum":0,"type":"integer"}},"required":["value","currency"],"type":"object","title":"FacilityOperativeCostForCreation","description":"FacilityOperativeCostForCreation"},"CurrencyCode":{"description":"The currency code is a three-letter code that represents a currency in the ISO 4217 standard.","enum":["AED","AFN","ALL","AMD","ANG","AOA","ARS","AUD","AWG","AZN","BAM","BBD","BDT","BGN","BHD","BIF","BMD","BND","BOB","BOV","BRL","BSD","BTN","BWP","BYN","BZD","CAD","CDF","CHE","CHF","CHW","CLF","CLP","CNY","COP","COU","CRC","CUC","CUP","CVE","CZK","DJF","DKK","DOP","DZD","EGP","ERN","ETB","EUR","FJD","FKP","GBP","GEL","GHS","GIP","GMD","GNF","GTQ","GYD","HKD","HNL","HTG","HUF","IDR","ILS","INR","IQD","IRR","ISK","JMD","JOD","JPY","KES","KGS","KHR","KMF","KPW","KRW","KWD","KYD","KZT","LAK","LBP","LKR","LRD","LSL","LYD","MAD","MDL","MGA","MKD","MMK","MNT","MOP","MRU","MUR","MVR","MWK","MXN","MXV","MYR","MZN","NAD","NGN","NIO","NOK","NPR","NZD","OMR","PAB","PEN","PGK","PHP","PKR","PLN","PYG","QAR","RON","RSD","RUB","RWF","SAR","SBD","SCR","SDG","SEK","SGD","SHP","SLE","SOS","SRD","SSP","STN","SVC","SYP","SZL","THB","TJS","TMT","TND","TOP","TRY","TTD","TWD","TZS","UAH","UGX","USD","USN","UYI","UYU","UYW","UZS","VED","VES","VND","VUV","WST","XAF","XAG","XAU","XBA","XBB","XBC","XBD","XCD","XDR","XOF","XPD","XPF","XPT","XSU","XTS","XUA","XXX","YER","ZAR","ZMW","ZWL"],"type":"string","title":"CurrencyCode"},"TagReference":{"properties":{"id":{"type":"string"},"value":{"type":"string"}},"required":["value","id"],"title":"TagReference","description":"TagReference"},"FacilityOperativeCost":{"properties":{"currency":{"allOf":[{"$ref":"#/components/schemas/CurrencyCode"}],"description":"The currency of the price as an ISO 4217 code.","nullable":true,"type":"string"},"decimalPlaces":{"description":"Number of decimal places for the given currency","minimum":0,"type":"integer"},"value":{"description":"Value of operational cost of the facility. Value is configured in the smallest subunit, e.g. cents.","minimum":0,"type":"integer"}},"required":["value","currency","decimalPlaces"],"type":"object","title":"FacilityOperativeCost","description":"FacilityOperativeCost"},"SupplierForCreation":{"allOf":[{"$ref":"#/components/schemas/FacilityForCreation"}],"properties":{"address":{"$ref":"#/components/schemas/SupplierAddressForCreation"}},"type":"object","xml":{"name":"SupplierForCreation"},"title":"SupplierForCreation","description":"SupplierForCreation"},"SupplierAddressForCreation":{"properties":{"additionalAddressInfo":{"type":"string"},"city":{"pattern":"^.+$","type":"string"},"companyName":{"type":"string"},"country":{"description":"A two-digit country code as per ISO 3166-1 alpha-2","pattern":"^[A-Z]{2}$","type":"string"},"customAttributes":{"description":"Attributes that can be added to the address. These attributes cannot be used within fulfillment processes, but it could be useful to have the informations carried here.","type":"object"},"emailAddresses":{"items":{"$ref":"#/components/schemas/SupplierAddressEmailAddress"},"type":"array"},"houseNumber":{"pattern":"^.+$","type":"string"},"phoneNumbers":{"items":{"$ref":"#/components/schemas/SupplierAddressPhoneNumber"},"type":"array"},"postalCode":{"pattern":"^.+$","type":"string"},"province":{"pattern":"^.+$","type":"string"},"resolvedCoordinates":{"$ref":"#/components/schemas/Coordinates"},"resolvedTimeZone":{"$ref":"#/components/schemas/TimeZoneForCreation","description":"User-specified time zone in identifier format (e.g., \"America/Los_Angeles\"). Used to determine local time. Relevant only if the country spans multiple time zones; otherwise, the time zone is automatically determined from the country or via Google if unspecified."},"street":{"pattern":"^.+$","type":"string"}},"required":["country","companyName"],"type":"object","title":"SupplierAddressForCreation","description":"SupplierAddressForCreation"},"SupplierAddressEmailAddress":{"properties":{"recipient":{"description":"Human readable information who is the recipient for emails sent to this address.","type":"string"},"value":{"format":"email","type":"string"}},"required":["value"],"type":"object","title":"SupplierAddressEmailAddress","description":"SupplierAddressEmailAddress"},"SupplierAddressPhoneNumber":{"properties":{"customAttributes":{"description":"Attributes that can be added to the phonenumber. These attributes cannot be used within fulfillment processes, but it could be useful to have the informations carried here.","type":"object"},"label":{"description":"Can be used to give a description for the number, like \"private\", \"business number\", etc.","type":"string"},"type":{"enum":["MOBILE","PHONE"],"type":"string"},"value":{"description":"The number itself. We do not enforce any format (yet).","type":"string"}},"required":["value","type"],"type":"object","title":"SupplierAddressPhoneNumber","description":"SupplierAddressPhoneNumber"},"Coordinates":{"description":"Coordinates of the WGS84 geodetic reference system in Mercator projection, as used e.g. by the Google Maps API","properties":{"lat":{"description":"Latitude value","type":"number"},"lon":{"description":"Longitude value","type":"number"}},"required":["lat","lon"],"type":"object","title":"Coordinates"},"TimeZoneForCreation":{"description":"Self-provided timezone for determining the local time of a facility","properties":{"timeZoneId":{"description":"official id of the timezone","type":"string"}},"required":["timeZoneId"],"type":"object","title":"TimeZoneForCreation"},"SupplierAddress":{"allOf":[{"$ref":"#/components/schemas/SupplierAddressForCreation"},{"properties":{"resolvedTimeZone":{"$ref":"#/components/schemas/TimeZone"}},"type":"object"}],"type":"object","title":"SupplierAddress","description":"SupplierAddress"},"TimeZone":{"description":"Timezone for information retrieved e.g. by the Google Maps API","properties":{"offsetInSeconds":{"description":"offset in seconds to standard time. Does not account for daylight saving time.","type":"number"},"source":{"description":"source of the timezone information","type":"string"},"timeZoneId":{"description":"official id of the timezone","type":"string"},"timeZoneName":{"description":"descriptive name of the timezone","type":"string"}},"required":["timeZoneId","timeZoneName","offsetInSeconds"],"type":"object","title":"TimeZone"},"ApiError":{"items":{"$ref":"#/components/schemas/ErrorInner"},"type":"array","xml":{"name":"ApiError"},"title":"ApiError","description":"ApiError"},"ErrorInner":{"properties":{"description":{"type":"string"},"requestVersion":{"description":"The version provided within an invalid request.","format":"int64","type":"integer"},"summary":{"type":"string"},"version":{"format":"int64","type":"integer"}},"required":["summary"],"type":"object","title":"ErrorInner","description":"ErrorInner"}}},"paths":{"/api/facilities":{"get":{"description":"","operationId":"getAllFacilities","parameters":[{"description":"all entities after given Id","in":"query","name":"startAfterId","required":false,"schema":{"type":"string"}},{"description":"Reference to the status you want to get the corresponding facilities","explode":true,"in":"query","name":"status","required":false,"schema":{"items":{"type":"string"},"type":"array"}},{"description":"number of facilities to show","in":"query","name":"size","required":false,"schema":{"default":25,"type":"integer"}},{"description":"query facilities with the given tenantFacilityId","in":"query","name":"tenantFacilityId","required":false,"schema":{"type":"string"}},{"description":"query facilities orderBy","in":"query","name":"orderBy","required":false,"schema":{"$ref":"#/components/schemas/FacilityOrderBy"}},{"description":"Filters the facilities by type","explode":true,"in":"query","name":"type","required":false,"schema":{"items":{"$ref":"#/components/schemas/FacilityType"},"type":"array"}}],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/StrippedFacilities"}}},"description":"Facilities are found."},"401":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user is not allowed to operate against this API instance"},"403":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user, although recognized, is not authorized to use this endpoint"}},"summary":"List facilities","tags":["Facilities"]}}}}
```

## POST /api/facilities

> Create facility

```json
{"openapi":"3.0.1","info":{"title":"fulfillmenttools","version":"VERSIONLESS"},"tags":[{"description":"Facilities represent various locations that form part of the fulfillment network.","name":"Facilities"}],"servers":[{"url":"https://{tenant}.api.fulfillmenttools.com","variables":{"tenant":{"default":"your-tenant-name"}}}],"security":[{"BearerToken":[]}],"components":{"securitySchemes":{"BearerToken":{"type":"http","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"ManagedFacilityForCreation":{"allOf":[{"$ref":"#/components/schemas/FacilityForCreation"}],"properties":{"address":{"$ref":"#/components/schemas/FacilityAddressForCreation"},"capacityEnabled":{"default":false,"description":"Indicates that configured capacity limits for picking times are considered","type":"boolean"},"capacityPlanningTimeframe":{"description":"The range in days per facility which defines how many days in the future the capacity of the facility can be planned","minimum":1,"type":"integer"},"closingDays":{"description":"Days of the year where the facility is closed and doesn't allows picking","items":{"$ref":"#/components/schemas/ClosingDay"},"type":"array"},"contact":{"$ref":"#/components/schemas/FacilityContact"},"fulfillmentProcessBuffer":{"default":240,"description":"Duration in minutes until an order is processed","minimum":0,"type":"integer"},"locationType":{"$ref":"#/components/schemas/FacilityLocationType"},"pickingMethods":{"description":"Picking Methods supported by this facility.","items":{"$ref":"#/components/schemas/PickingMethodEnum"},"type":"array"},"pickingTimes":{"$ref":"#/components/schemas/PickingTimes","description":"Time ranges defining the picking times per weekday. No overlapping ranges are allowed"},"scanningRule":{"$ref":"#/components/schemas/ScanningRuleConfiguration"},"services":{"items":{"$ref":"#/components/schemas/FacilityService"},"type":"array"}},"required":["name","address"],"type":"object","xml":{"name":"ManagedFacilityForCreation"},"title":"ManagedFacilityForCreation","description":"ManagedFacilityForCreation"},"FacilityForCreation":{"properties":{"customAttributes":{"description":"Attributes that can be added to the facility. These attributes cannot be used within fulfillment processes, but it could be useful to have the informations carried here.","type":"object"},"name":{"type":"string"},"operativeCosts":{"items":{"$ref":"#/components/schemas/FacilityOperativeCostForCreation"},"maxItems":1,"type":"array"},"status":{"$ref":"#/components/schemas/FacilityStatus"},"tenantFacilityId":{"description":"The id of the facility in the tenants own system","type":"string"},"type":{"$ref":"#/components/schemas/FacilityType","default":"MANAGED_FACILITY"},"tags":{"items":{"$ref":"#/components/schemas/TagReference"},"minItems":1,"type":"array"}},"required":["name"],"type":"object","xml":{"name":"FacilityForCreation"},"title":"FacilityForCreation","description":"FacilityForCreation"},"FacilityOperativeCostForCreation":{"properties":{"currency":{"allOf":[{"$ref":"#/components/schemas/CurrencyCode"}],"description":"The currency of the price as an ISO 4217 code.","nullable":true,"type":"string"},"decimalPlaces":{"description":"Number of decimal places for the given currency. We be defaulted according to the currency if missing.","minimum":0,"type":"integer"},"value":{"description":"Value of operational cost of the facility. Value is configured in the smallest subunit, e.g. cents.","minimum":0,"type":"integer"}},"required":["value","currency"],"type":"object","title":"FacilityOperativeCostForCreation","description":"FacilityOperativeCostForCreation"},"CurrencyCode":{"description":"The currency code is a three-letter code that represents a currency in the ISO 4217 standard.","enum":["AED","AFN","ALL","AMD","ANG","AOA","ARS","AUD","AWG","AZN","BAM","BBD","BDT","BGN","BHD","BIF","BMD","BND","BOB","BOV","BRL","BSD","BTN","BWP","BYN","BZD","CAD","CDF","CHE","CHF","CHW","CLF","CLP","CNY","COP","COU","CRC","CUC","CUP","CVE","CZK","DJF","DKK","DOP","DZD","EGP","ERN","ETB","EUR","FJD","FKP","GBP","GEL","GHS","GIP","GMD","GNF","GTQ","GYD","HKD","HNL","HTG","HUF","IDR","ILS","INR","IQD","IRR","ISK","JMD","JOD","JPY","KES","KGS","KHR","KMF","KPW","KRW","KWD","KYD","KZT","LAK","LBP","LKR","LRD","LSL","LYD","MAD","MDL","MGA","MKD","MMK","MNT","MOP","MRU","MUR","MVR","MWK","MXN","MXV","MYR","MZN","NAD","NGN","NIO","NOK","NPR","NZD","OMR","PAB","PEN","PGK","PHP","PKR","PLN","PYG","QAR","RON","RSD","RUB","RWF","SAR","SBD","SCR","SDG","SEK","SGD","SHP","SLE","SOS","SRD","SSP","STN","SVC","SYP","SZL","THB","TJS","TMT","TND","TOP","TRY","TTD","TWD","TZS","UAH","UGX","USD","USN","UYI","UYU","UYW","UZS","VED","VES","VND","VUV","WST","XAF","XAG","XAU","XBA","XBB","XBC","XBD","XCD","XDR","XOF","XPD","XPF","XPT","XSU","XTS","XUA","XXX","YER","ZAR","ZMW","ZWL"],"type":"string","title":"CurrencyCode"},"FacilityStatus":{"description":"The state of the facility. ONLINE means that this facility can process new orders and pickjobs, SUSPENDED means it cannot get new orders but is able to fulfill the current workload and OFFLINE means that it cannot fulfill any new or existing orders. Processes already running might be rescheduled to another facility depending on the preferences.","enum":["ONLINE","SUSPENDED","OFFLINE"],"type":"string","title":"FacilityStatus"},"FacilityType":{"default":"MANAGED_FACILITY","enum":["MANAGED_FACILITY","SUPPLIER"],"type":"string","xml":{"name":"FacilityType"},"title":"FacilityType","description":"FacilityType"},"TagReference":{"properties":{"id":{"type":"string"},"value":{"type":"string"}},"required":["value","id"],"title":"TagReference","description":"TagReference"},"FacilityAddressForCreation":{"allOf":[{"$ref":"#/components/schemas/Address"},{"properties":{"companyName":{"type":"string"},"emailAddresses":{"items":{"properties":{"recipient":{"description":"Human readable information who is the recipient for emails sent to this address.","type":"string"},"value":{"type":"string"}},"required":["value"],"type":"object"},"maxItems":10,"type":"array"},"resolvedCoordinates":{"$ref":"#/components/schemas/Coordinates"},"resolvedTimeZone":{"allOf":[{"$ref":"#/components/schemas/TimeZoneForCreation"}],"description":"User-specified time zone in identifier format (e.g., \"America/Los_Angeles\"). Used to determine local time. Relevant only if the country spans multiple time zones; otherwise, the time zone is automatically determined from the country or via Google if unspecified."}},"required":["companyName"],"type":"object"}],"type":"object","xml":{"name":"FacilityAddressForCreation"},"title":"FacilityAddressForCreation","description":"FacilityAddressForCreation"},"Address":{"properties":{"additionalAddressInfo":{"type":"string"},"city":{"pattern":"^.+$","type":"string"},"country":{"description":"A two-digit country code as per ISO 3166-1 alpha-2","pattern":"^[A-Z]{2}$","type":"string"},"customAttributes":{"description":"Attributes that can be added to the address. These attributes cannot be used within fulfillment processes, but it could be useful to have the informations carried here.","type":"object"},"houseNumber":{"pattern":"^.+$","type":"string"},"phoneNumbers":{"items":{"properties":{"customAttributes":{"description":"Attributes that can be added to the phonenumber. These attributes cannot be used within fulfillment processes, but it could be useful to have the informations carried here.","type":"object"},"label":{"description":"Can be used to give a description for the number, like \"private\", \"business number\", etc.","type":"string"},"type":{"enum":["MOBILE","PHONE"],"type":"string"},"value":{"description":"The number itself. We do not enforce any format (yet).","type":"string"}},"required":["value","type"],"type":"object"},"maxItems":500,"type":"array"},"postalCode":{"pattern":"^.+$","type":"string"},"province":{"pattern":"^.+$","type":"string"},"street":{"pattern":"^.+$","type":"string"}},"required":["street","city","postalCode","country"],"type":"object","title":"Address","description":"Address"},"Coordinates":{"description":"Coordinates of the WGS84 geodetic reference system in Mercator projection, as used e.g. by the Google Maps API","properties":{"lat":{"description":"Latitude value","type":"number"},"lon":{"description":"Longitude value","type":"number"}},"required":["lat","lon"],"type":"object","title":"Coordinates"},"TimeZoneForCreation":{"description":"Self-provided timezone for determining the local time of a facility","properties":{"timeZoneId":{"description":"official id of the timezone","type":"string"}},"required":["timeZoneId"],"type":"object","title":"TimeZoneForCreation"},"ClosingDay":{"description":"At this day the facility is closed and does not do picking","properties":{"date":{"description":"The day at which the Facility is closed","format":"date-time","type":"string"},"reason":{"description":"The reason why the Facility is closed on this day","type":"string"},"recurrence":{"enum":["YEARLY","NONRECURRING"],"type":"string"}},"required":["reason","date","recurrence"],"type":"object","title":"ClosingDay"},"FacilityContact":{"properties":{"customAttributes":{"description":"Attributes that can be added to the contact. These attributes cannot be used within fulfillment processes, but it could be useful to have the informations carried here.","type":"object"},"firstName":{"type":"string"},"lastName":{"type":"string"},"roleDescription":{"type":"string"}},"required":["firstName","lastName"],"type":"object","xml":{"name":"FacilityContact"},"title":"FacilityContact","description":"FacilityContact"},"FacilityLocationType":{"default":"STORE","enum":["STORE","WAREHOUSE","EXTERNAL"],"type":"string","xml":{"name":"FacilityLocationType"},"title":"FacilityLocationType","description":"FacilityLocationType"},"PickingMethodEnum":{"description":"Way in which the picking should be handled Deprecated: BATCH_PICKING, use BATCH instead","enum":["SINGLE_ORDER","MULTI_ORDER","BATCH_PICKING","BATCH"],"type":"string","title":"PickingMethodEnum"},"PickingTimes":{"description":"Time ranges defining the picking times per weekday. No overlapping ranges are allowed. There must be no overlaps for time ranges on a day","properties":{"friday":{"items":{"$ref":"#/components/schemas/TimeRange"},"type":"array"},"monday":{"items":{"$ref":"#/components/schemas/TimeRange"},"type":"array"},"saturday":{"items":{"$ref":"#/components/schemas/TimeRange"},"type":"array"},"sunday":{"items":{"$ref":"#/components/schemas/TimeRange"},"type":"array"},"thursday":{"items":{"$ref":"#/components/schemas/TimeRange"},"type":"array"},"tuesday":{"items":{"$ref":"#/components/schemas/TimeRange"},"type":"array"},"wednesday":{"items":{"$ref":"#/components/schemas/TimeRange"},"type":"array"}},"type":"object","title":"PickingTimes"},"TimeRange":{"properties":{"capacity":{"minimum":0,"type":"number"},"end":{"$ref":"#/components/schemas/TimeStamp"},"start":{"$ref":"#/components/schemas/TimeStamp"}},"required":["start","end"],"type":"object","title":"TimeRange","description":"TimeRange"},"TimeStamp":{"properties":{"hour":{"maximum":23,"minimum":0,"type":"number"},"minute":{"maximum":59,"minimum":0,"type":"number"}},"required":["hour","minute"],"type":"object","title":"TimeStamp","description":"TimeStamp"},"ScanningRuleConfiguration":{"description":"Configuration to show the client how the items should be scanned during picking","properties":{"values":{"items":{"$ref":"#/components/schemas/ScanningRuleValue"},"type":"array"}},"title":"ScanningRuleConfiguration"},"ScanningRuleValue":{"properties":{"priority":{"description":"This field allows you to rank scanningRuleType against each other. The lowest number is the most preferable.","minimum":0,"type":"number"},"scanningRuleType":{"$ref":"#/components/schemas/ScanningRuleTypeEnum"}},"required":["priority","scanningRuleType"],"type":"object","title":"ScanningRuleValue","description":"ScanningRuleValue"},"ScanningRuleTypeEnum":{"description":"Type of scanning rule","enum":["ARTICLE","LOCATION"],"type":"string","title":"ScanningRuleTypeEnum"},"FacilityService":{"additionalProperties":false,"properties":{"type":{"$ref":"#/components/schemas/FacilityServiceType"}},"required":["type"],"type":"object","xml":{"name":"FacilityService"},"title":"FacilityService","description":"FacilityService"},"FacilityServiceType":{"description":"The description of the service this facility offers.","enum":["SHIP_FROM_STORE","PICKUP"],"type":"string","title":"FacilityServiceType"},"SupplierForCreation":{"allOf":[{"$ref":"#/components/schemas/FacilityForCreation"}],"properties":{"address":{"$ref":"#/components/schemas/SupplierAddressForCreation"}},"type":"object","xml":{"name":"SupplierForCreation"},"title":"SupplierForCreation","description":"SupplierForCreation"},"SupplierAddressForCreation":{"properties":{"additionalAddressInfo":{"type":"string"},"city":{"pattern":"^.+$","type":"string"},"companyName":{"type":"string"},"country":{"description":"A two-digit country code as per ISO 3166-1 alpha-2","pattern":"^[A-Z]{2}$","type":"string"},"customAttributes":{"description":"Attributes that can be added to the address. These attributes cannot be used within fulfillment processes, but it could be useful to have the informations carried here.","type":"object"},"emailAddresses":{"items":{"$ref":"#/components/schemas/SupplierAddressEmailAddress"},"type":"array"},"houseNumber":{"pattern":"^.+$","type":"string"},"phoneNumbers":{"items":{"$ref":"#/components/schemas/SupplierAddressPhoneNumber"},"type":"array"},"postalCode":{"pattern":"^.+$","type":"string"},"province":{"pattern":"^.+$","type":"string"},"resolvedCoordinates":{"$ref":"#/components/schemas/Coordinates"},"resolvedTimeZone":{"$ref":"#/components/schemas/TimeZoneForCreation","description":"User-specified time zone in identifier format (e.g., \"America/Los_Angeles\"). Used to determine local time. Relevant only if the country spans multiple time zones; otherwise, the time zone is automatically determined from the country or via Google if unspecified."},"street":{"pattern":"^.+$","type":"string"}},"required":["country","companyName"],"type":"object","title":"SupplierAddressForCreation","description":"SupplierAddressForCreation"},"SupplierAddressEmailAddress":{"properties":{"recipient":{"description":"Human readable information who is the recipient for emails sent to this address.","type":"string"},"value":{"format":"email","type":"string"}},"required":["value"],"type":"object","title":"SupplierAddressEmailAddress","description":"SupplierAddressEmailAddress"},"SupplierAddressPhoneNumber":{"properties":{"customAttributes":{"description":"Attributes that can be added to the phonenumber. These attributes cannot be used within fulfillment processes, but it could be useful to have the informations carried here.","type":"object"},"label":{"description":"Can be used to give a description for the number, like \"private\", \"business number\", etc.","type":"string"},"type":{"enum":["MOBILE","PHONE"],"type":"string"},"value":{"description":"The number itself. We do not enforce any format (yet).","type":"string"}},"required":["value","type"],"type":"object","title":"SupplierAddressPhoneNumber","description":"SupplierAddressPhoneNumber"},"ManagedFacility":{"allOf":[{"$ref":"#/components/schemas/Facility"},{"$ref":"#/components/schemas/ManagedFacilityForCreation"}],"properties":{"address":{"$ref":"#/components/schemas/FacilityAddress"},"configs":{"items":{"$ref":"#/components/schemas/LinkedConfiguration"},"type":"array"}},"required":["status","address","name"],"type":"object","xml":{"name":"ManagedFacility"},"title":"ManagedFacility","description":"ManagedFacility"},"Facility":{"allOf":[{"$ref":"#/components/schemas/VersionedResource"},{"$ref":"#/components/schemas/FacilityForCreation"}],"properties":{"id":{"description":"The id of this facility. It is generated during creation automatically and suits as the primary identifier of the described entity.","type":"string"},"operativeCosts":{"items":{"$ref":"#/components/schemas/FacilityOperativeCost"},"maxItems":1,"type":"array"}},"required":["id","type","status"],"type":"object","xml":{"name":"Facility"},"title":"Facility","description":"Facility"},"VersionedResource":{"properties":{"created":{"description":"The date this entity was created at the platform. This value is generated by the service.","format":"date-time","type":"string"},"lastModified":{"description":"The date this entity was modified last. This value is generated by the service.","format":"date-time","type":"string"},"version":{"description":"The version of the document to be used in optimistic locking mechanisms.","format":"int64","type":"integer"}},"required":["version"],"type":"object","title":"VersionedResource","description":"VersionedResource"},"FacilityOperativeCost":{"properties":{"currency":{"allOf":[{"$ref":"#/components/schemas/CurrencyCode"}],"description":"The currency of the price as an ISO 4217 code.","nullable":true,"type":"string"},"decimalPlaces":{"description":"Number of decimal places for the given currency","minimum":0,"type":"integer"},"value":{"description":"Value of operational cost of the facility. Value is configured in the smallest subunit, e.g. cents.","minimum":0,"type":"integer"}},"required":["value","currency","decimalPlaces"],"type":"object","title":"FacilityOperativeCost","description":"FacilityOperativeCost"},"FacilityAddress":{"allOf":[{"$ref":"#/components/schemas/FacilityAddressForCreation"},{"properties":{"resolvedTimeZone":{"$ref":"#/components/schemas/TimeZone"}},"type":"object"}],"type":"object","xml":{"name":"FacilityAddress"},"title":"FacilityAddress","description":"FacilityAddress"},"TimeZone":{"description":"Timezone for information retrieved e.g. by the Google Maps API","properties":{"offsetInSeconds":{"description":"offset in seconds to standard time. Does not account for daylight saving time.","type":"number"},"source":{"description":"source of the timezone information","type":"string"},"timeZoneId":{"description":"official id of the timezone","type":"string"},"timeZoneName":{"description":"descriptive name of the timezone","type":"string"}},"required":["timeZoneId","timeZoneName","offsetInSeconds"],"type":"object","title":"TimeZone"},"LinkedConfiguration":{"properties":{"ref":{"type":"string"},"rel":{"type":"string"}},"type":"object","title":"LinkedConfiguration","description":"LinkedConfiguration"},"Supplier":{"allOf":[{"$ref":"#/components/schemas/Facility"},{"$ref":"#/components/schemas/SupplierForCreation"}],"properties":{"address":{"$ref":"#/components/schemas/SupplierAddress"}},"type":"object","xml":{"name":"Supplier"},"title":"Supplier","description":"Supplier"},"SupplierAddress":{"allOf":[{"$ref":"#/components/schemas/SupplierAddressForCreation"},{"properties":{"resolvedTimeZone":{"$ref":"#/components/schemas/TimeZone"}},"type":"object"}],"type":"object","title":"SupplierAddress","description":"SupplierAddress"},"ApiError":{"items":{"$ref":"#/components/schemas/ErrorInner"},"type":"array","xml":{"name":"ApiError"},"title":"ApiError","description":"ApiError"},"ErrorInner":{"properties":{"description":{"type":"string"},"requestVersion":{"description":"The version provided within an invalid request.","format":"int64","type":"integer"},"summary":{"type":"string"},"version":{"format":"int64","type":"integer"}},"required":["summary"],"type":"object","title":"ErrorInner","description":"ErrorInner"}}},"paths":{"/api/facilities":{"post":{"description":"","operationId":"addFacility","requestBody":{"content":{"application/json":{"schema":{"anyOf":[{"$ref":"#/components/schemas/ManagedFacilityForCreation"},{"$ref":"#/components/schemas/SupplierForCreation"}]}}},"description":"Representation that describes the facility","required":true},"responses":{"201":{"content":{"application/json":{"schema":{"oneOf":[{"$ref":"#/components/schemas/ManagedFacility"},{"$ref":"#/components/schemas/Supplier"}]}}},"description":"The facility was successfully created. The Location header contains the URL of the facility."},"400":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Invalid input. See response for details"},"401":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user is not allowed to operate against this API instance"},"403":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user, although recognized, is not authorized to use this endpoint"}},"summary":"Create facility","tags":["Facilities"]}}}}
```

## GET /api/facilities/{facilityId}

> Get facility

```json
{"openapi":"3.0.1","info":{"title":"fulfillmenttools","version":"VERSIONLESS"},"tags":[{"description":"Facilities represent various locations that form part of the fulfillment network.","name":"Facilities"}],"servers":[{"url":"https://{tenant}.api.fulfillmenttools.com","variables":{"tenant":{"default":"your-tenant-name"}}}],"security":[{"BearerToken":[]}],"components":{"securitySchemes":{"BearerToken":{"type":"http","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"ManagedFacility":{"allOf":[{"$ref":"#/components/schemas/Facility"},{"$ref":"#/components/schemas/ManagedFacilityForCreation"}],"properties":{"address":{"$ref":"#/components/schemas/FacilityAddress"},"configs":{"items":{"$ref":"#/components/schemas/LinkedConfiguration"},"type":"array"}},"required":["status","address","name"],"type":"object","xml":{"name":"ManagedFacility"},"title":"ManagedFacility","description":"ManagedFacility"},"Facility":{"allOf":[{"$ref":"#/components/schemas/VersionedResource"},{"$ref":"#/components/schemas/FacilityForCreation"}],"properties":{"id":{"description":"The id of this facility. It is generated during creation automatically and suits as the primary identifier of the described entity.","type":"string"},"operativeCosts":{"items":{"$ref":"#/components/schemas/FacilityOperativeCost"},"maxItems":1,"type":"array"}},"required":["id","type","status"],"type":"object","xml":{"name":"Facility"},"title":"Facility","description":"Facility"},"VersionedResource":{"properties":{"created":{"description":"The date this entity was created at the platform. This value is generated by the service.","format":"date-time","type":"string"},"lastModified":{"description":"The date this entity was modified last. This value is generated by the service.","format":"date-time","type":"string"},"version":{"description":"The version of the document to be used in optimistic locking mechanisms.","format":"int64","type":"integer"}},"required":["version"],"type":"object","title":"VersionedResource","description":"VersionedResource"},"FacilityForCreation":{"properties":{"customAttributes":{"description":"Attributes that can be added to the facility. These attributes cannot be used within fulfillment processes, but it could be useful to have the informations carried here.","type":"object"},"name":{"type":"string"},"operativeCosts":{"items":{"$ref":"#/components/schemas/FacilityOperativeCostForCreation"},"maxItems":1,"type":"array"},"status":{"$ref":"#/components/schemas/FacilityStatus"},"tenantFacilityId":{"description":"The id of the facility in the tenants own system","type":"string"},"type":{"$ref":"#/components/schemas/FacilityType","default":"MANAGED_FACILITY"},"tags":{"items":{"$ref":"#/components/schemas/TagReference"},"minItems":1,"type":"array"}},"required":["name"],"type":"object","xml":{"name":"FacilityForCreation"},"title":"FacilityForCreation","description":"FacilityForCreation"},"FacilityOperativeCostForCreation":{"properties":{"currency":{"allOf":[{"$ref":"#/components/schemas/CurrencyCode"}],"description":"The currency of the price as an ISO 4217 code.","nullable":true,"type":"string"},"decimalPlaces":{"description":"Number of decimal places for the given currency. We be defaulted according to the currency if missing.","minimum":0,"type":"integer"},"value":{"description":"Value of operational cost of the facility. Value is configured in the smallest subunit, e.g. cents.","minimum":0,"type":"integer"}},"required":["value","currency"],"type":"object","title":"FacilityOperativeCostForCreation","description":"FacilityOperativeCostForCreation"},"CurrencyCode":{"description":"The currency code is a three-letter code that represents a currency in the ISO 4217 standard.","enum":["AED","AFN","ALL","AMD","ANG","AOA","ARS","AUD","AWG","AZN","BAM","BBD","BDT","BGN","BHD","BIF","BMD","BND","BOB","BOV","BRL","BSD","BTN","BWP","BYN","BZD","CAD","CDF","CHE","CHF","CHW","CLF","CLP","CNY","COP","COU","CRC","CUC","CUP","CVE","CZK","DJF","DKK","DOP","DZD","EGP","ERN","ETB","EUR","FJD","FKP","GBP","GEL","GHS","GIP","GMD","GNF","GTQ","GYD","HKD","HNL","HTG","HUF","IDR","ILS","INR","IQD","IRR","ISK","JMD","JOD","JPY","KES","KGS","KHR","KMF","KPW","KRW","KWD","KYD","KZT","LAK","LBP","LKR","LRD","LSL","LYD","MAD","MDL","MGA","MKD","MMK","MNT","MOP","MRU","MUR","MVR","MWK","MXN","MXV","MYR","MZN","NAD","NGN","NIO","NOK","NPR","NZD","OMR","PAB","PEN","PGK","PHP","PKR","PLN","PYG","QAR","RON","RSD","RUB","RWF","SAR","SBD","SCR","SDG","SEK","SGD","SHP","SLE","SOS","SRD","SSP","STN","SVC","SYP","SZL","THB","TJS","TMT","TND","TOP","TRY","TTD","TWD","TZS","UAH","UGX","USD","USN","UYI","UYU","UYW","UZS","VED","VES","VND","VUV","WST","XAF","XAG","XAU","XBA","XBB","XBC","XBD","XCD","XDR","XOF","XPD","XPF","XPT","XSU","XTS","XUA","XXX","YER","ZAR","ZMW","ZWL"],"type":"string","title":"CurrencyCode"},"FacilityStatus":{"description":"The state of the facility. ONLINE means that this facility can process new orders and pickjobs, SUSPENDED means it cannot get new orders but is able to fulfill the current workload and OFFLINE means that it cannot fulfill any new or existing orders. Processes already running might be rescheduled to another facility depending on the preferences.","enum":["ONLINE","SUSPENDED","OFFLINE"],"type":"string","title":"FacilityStatus"},"FacilityType":{"default":"MANAGED_FACILITY","enum":["MANAGED_FACILITY","SUPPLIER"],"type":"string","xml":{"name":"FacilityType"},"title":"FacilityType","description":"FacilityType"},"TagReference":{"properties":{"id":{"type":"string"},"value":{"type":"string"}},"required":["value","id"],"title":"TagReference","description":"TagReference"},"FacilityOperativeCost":{"properties":{"currency":{"allOf":[{"$ref":"#/components/schemas/CurrencyCode"}],"description":"The currency of the price as an ISO 4217 code.","nullable":true,"type":"string"},"decimalPlaces":{"description":"Number of decimal places for the given currency","minimum":0,"type":"integer"},"value":{"description":"Value of operational cost of the facility. Value is configured in the smallest subunit, e.g. cents.","minimum":0,"type":"integer"}},"required":["value","currency","decimalPlaces"],"type":"object","title":"FacilityOperativeCost","description":"FacilityOperativeCost"},"ManagedFacilityForCreation":{"allOf":[{"$ref":"#/components/schemas/FacilityForCreation"}],"properties":{"address":{"$ref":"#/components/schemas/FacilityAddressForCreation"},"capacityEnabled":{"default":false,"description":"Indicates that configured capacity limits for picking times are considered","type":"boolean"},"capacityPlanningTimeframe":{"description":"The range in days per facility which defines how many days in the future the capacity of the facility can be planned","minimum":1,"type":"integer"},"closingDays":{"description":"Days of the year where the facility is closed and doesn't allows picking","items":{"$ref":"#/components/schemas/ClosingDay"},"type":"array"},"contact":{"$ref":"#/components/schemas/FacilityContact"},"fulfillmentProcessBuffer":{"default":240,"description":"Duration in minutes until an order is processed","minimum":0,"type":"integer"},"locationType":{"$ref":"#/components/schemas/FacilityLocationType"},"pickingMethods":{"description":"Picking Methods supported by this facility.","items":{"$ref":"#/components/schemas/PickingMethodEnum"},"type":"array"},"pickingTimes":{"$ref":"#/components/schemas/PickingTimes","description":"Time ranges defining the picking times per weekday. No overlapping ranges are allowed"},"scanningRule":{"$ref":"#/components/schemas/ScanningRuleConfiguration"},"services":{"items":{"$ref":"#/components/schemas/FacilityService"},"type":"array"}},"required":["name","address"],"type":"object","xml":{"name":"ManagedFacilityForCreation"},"title":"ManagedFacilityForCreation","description":"ManagedFacilityForCreation"},"FacilityAddressForCreation":{"allOf":[{"$ref":"#/components/schemas/Address"},{"properties":{"companyName":{"type":"string"},"emailAddresses":{"items":{"properties":{"recipient":{"description":"Human readable information who is the recipient for emails sent to this address.","type":"string"},"value":{"type":"string"}},"required":["value"],"type":"object"},"maxItems":10,"type":"array"},"resolvedCoordinates":{"$ref":"#/components/schemas/Coordinates"},"resolvedTimeZone":{"allOf":[{"$ref":"#/components/schemas/TimeZoneForCreation"}],"description":"User-specified time zone in identifier format (e.g., \"America/Los_Angeles\"). Used to determine local time. Relevant only if the country spans multiple time zones; otherwise, the time zone is automatically determined from the country or via Google if unspecified."}},"required":["companyName"],"type":"object"}],"type":"object","xml":{"name":"FacilityAddressForCreation"},"title":"FacilityAddressForCreation","description":"FacilityAddressForCreation"},"Address":{"properties":{"additionalAddressInfo":{"type":"string"},"city":{"pattern":"^.+$","type":"string"},"country":{"description":"A two-digit country code as per ISO 3166-1 alpha-2","pattern":"^[A-Z]{2}$","type":"string"},"customAttributes":{"description":"Attributes that can be added to the address. These attributes cannot be used within fulfillment processes, but it could be useful to have the informations carried here.","type":"object"},"houseNumber":{"pattern":"^.+$","type":"string"},"phoneNumbers":{"items":{"properties":{"customAttributes":{"description":"Attributes that can be added to the phonenumber. These attributes cannot be used within fulfillment processes, but it could be useful to have the informations carried here.","type":"object"},"label":{"description":"Can be used to give a description for the number, like \"private\", \"business number\", etc.","type":"string"},"type":{"enum":["MOBILE","PHONE"],"type":"string"},"value":{"description":"The number itself. We do not enforce any format (yet).","type":"string"}},"required":["value","type"],"type":"object"},"maxItems":500,"type":"array"},"postalCode":{"pattern":"^.+$","type":"string"},"province":{"pattern":"^.+$","type":"string"},"street":{"pattern":"^.+$","type":"string"}},"required":["street","city","postalCode","country"],"type":"object","title":"Address","description":"Address"},"Coordinates":{"description":"Coordinates of the WGS84 geodetic reference system in Mercator projection, as used e.g. by the Google Maps API","properties":{"lat":{"description":"Latitude value","type":"number"},"lon":{"description":"Longitude value","type":"number"}},"required":["lat","lon"],"type":"object","title":"Coordinates"},"TimeZoneForCreation":{"description":"Self-provided timezone for determining the local time of a facility","properties":{"timeZoneId":{"description":"official id of the timezone","type":"string"}},"required":["timeZoneId"],"type":"object","title":"TimeZoneForCreation"},"ClosingDay":{"description":"At this day the facility is closed and does not do picking","properties":{"date":{"description":"The day at which the Facility is closed","format":"date-time","type":"string"},"reason":{"description":"The reason why the Facility is closed on this day","type":"string"},"recurrence":{"enum":["YEARLY","NONRECURRING"],"type":"string"}},"required":["reason","date","recurrence"],"type":"object","title":"ClosingDay"},"FacilityContact":{"properties":{"customAttributes":{"description":"Attributes that can be added to the contact. These attributes cannot be used within fulfillment processes, but it could be useful to have the informations carried here.","type":"object"},"firstName":{"type":"string"},"lastName":{"type":"string"},"roleDescription":{"type":"string"}},"required":["firstName","lastName"],"type":"object","xml":{"name":"FacilityContact"},"title":"FacilityContact","description":"FacilityContact"},"FacilityLocationType":{"default":"STORE","enum":["STORE","WAREHOUSE","EXTERNAL"],"type":"string","xml":{"name":"FacilityLocationType"},"title":"FacilityLocationType","description":"FacilityLocationType"},"PickingMethodEnum":{"description":"Way in which the picking should be handled Deprecated: BATCH_PICKING, use BATCH instead","enum":["SINGLE_ORDER","MULTI_ORDER","BATCH_PICKING","BATCH"],"type":"string","title":"PickingMethodEnum"},"PickingTimes":{"description":"Time ranges defining the picking times per weekday. No overlapping ranges are allowed. There must be no overlaps for time ranges on a day","properties":{"friday":{"items":{"$ref":"#/components/schemas/TimeRange"},"type":"array"},"monday":{"items":{"$ref":"#/components/schemas/TimeRange"},"type":"array"},"saturday":{"items":{"$ref":"#/components/schemas/TimeRange"},"type":"array"},"sunday":{"items":{"$ref":"#/components/schemas/TimeRange"},"type":"array"},"thursday":{"items":{"$ref":"#/components/schemas/TimeRange"},"type":"array"},"tuesday":{"items":{"$ref":"#/components/schemas/TimeRange"},"type":"array"},"wednesday":{"items":{"$ref":"#/components/schemas/TimeRange"},"type":"array"}},"type":"object","title":"PickingTimes"},"TimeRange":{"properties":{"capacity":{"minimum":0,"type":"number"},"end":{"$ref":"#/components/schemas/TimeStamp"},"start":{"$ref":"#/components/schemas/TimeStamp"}},"required":["start","end"],"type":"object","title":"TimeRange","description":"TimeRange"},"TimeStamp":{"properties":{"hour":{"maximum":23,"minimum":0,"type":"number"},"minute":{"maximum":59,"minimum":0,"type":"number"}},"required":["hour","minute"],"type":"object","title":"TimeStamp","description":"TimeStamp"},"ScanningRuleConfiguration":{"description":"Configuration to show the client how the items should be scanned during picking","properties":{"values":{"items":{"$ref":"#/components/schemas/ScanningRuleValue"},"type":"array"}},"title":"ScanningRuleConfiguration"},"ScanningRuleValue":{"properties":{"priority":{"description":"This field allows you to rank scanningRuleType against each other. The lowest number is the most preferable.","minimum":0,"type":"number"},"scanningRuleType":{"$ref":"#/components/schemas/ScanningRuleTypeEnum"}},"required":["priority","scanningRuleType"],"type":"object","title":"ScanningRuleValue","description":"ScanningRuleValue"},"ScanningRuleTypeEnum":{"description":"Type of scanning rule","enum":["ARTICLE","LOCATION"],"type":"string","title":"ScanningRuleTypeEnum"},"FacilityService":{"additionalProperties":false,"properties":{"type":{"$ref":"#/components/schemas/FacilityServiceType"}},"required":["type"],"type":"object","xml":{"name":"FacilityService"},"title":"FacilityService","description":"FacilityService"},"FacilityServiceType":{"description":"The description of the service this facility offers.","enum":["SHIP_FROM_STORE","PICKUP"],"type":"string","title":"FacilityServiceType"},"FacilityAddress":{"allOf":[{"$ref":"#/components/schemas/FacilityAddressForCreation"},{"properties":{"resolvedTimeZone":{"$ref":"#/components/schemas/TimeZone"}},"type":"object"}],"type":"object","xml":{"name":"FacilityAddress"},"title":"FacilityAddress","description":"FacilityAddress"},"TimeZone":{"description":"Timezone for information retrieved e.g. by the Google Maps API","properties":{"offsetInSeconds":{"description":"offset in seconds to standard time. Does not account for daylight saving time.","type":"number"},"source":{"description":"source of the timezone information","type":"string"},"timeZoneId":{"description":"official id of the timezone","type":"string"},"timeZoneName":{"description":"descriptive name of the timezone","type":"string"}},"required":["timeZoneId","timeZoneName","offsetInSeconds"],"type":"object","title":"TimeZone"},"LinkedConfiguration":{"properties":{"ref":{"type":"string"},"rel":{"type":"string"}},"type":"object","title":"LinkedConfiguration","description":"LinkedConfiguration"},"Supplier":{"allOf":[{"$ref":"#/components/schemas/Facility"},{"$ref":"#/components/schemas/SupplierForCreation"}],"properties":{"address":{"$ref":"#/components/schemas/SupplierAddress"}},"type":"object","xml":{"name":"Supplier"},"title":"Supplier","description":"Supplier"},"SupplierForCreation":{"allOf":[{"$ref":"#/components/schemas/FacilityForCreation"}],"properties":{"address":{"$ref":"#/components/schemas/SupplierAddressForCreation"}},"type":"object","xml":{"name":"SupplierForCreation"},"title":"SupplierForCreation","description":"SupplierForCreation"},"SupplierAddressForCreation":{"properties":{"additionalAddressInfo":{"type":"string"},"city":{"pattern":"^.+$","type":"string"},"companyName":{"type":"string"},"country":{"description":"A two-digit country code as per ISO 3166-1 alpha-2","pattern":"^[A-Z]{2}$","type":"string"},"customAttributes":{"description":"Attributes that can be added to the address. These attributes cannot be used within fulfillment processes, but it could be useful to have the informations carried here.","type":"object"},"emailAddresses":{"items":{"$ref":"#/components/schemas/SupplierAddressEmailAddress"},"type":"array"},"houseNumber":{"pattern":"^.+$","type":"string"},"phoneNumbers":{"items":{"$ref":"#/components/schemas/SupplierAddressPhoneNumber"},"type":"array"},"postalCode":{"pattern":"^.+$","type":"string"},"province":{"pattern":"^.+$","type":"string"},"resolvedCoordinates":{"$ref":"#/components/schemas/Coordinates"},"resolvedTimeZone":{"$ref":"#/components/schemas/TimeZoneForCreation","description":"User-specified time zone in identifier format (e.g., \"America/Los_Angeles\"). Used to determine local time. Relevant only if the country spans multiple time zones; otherwise, the time zone is automatically determined from the country or via Google if unspecified."},"street":{"pattern":"^.+$","type":"string"}},"required":["country","companyName"],"type":"object","title":"SupplierAddressForCreation","description":"SupplierAddressForCreation"},"SupplierAddressEmailAddress":{"properties":{"recipient":{"description":"Human readable information who is the recipient for emails sent to this address.","type":"string"},"value":{"format":"email","type":"string"}},"required":["value"],"type":"object","title":"SupplierAddressEmailAddress","description":"SupplierAddressEmailAddress"},"SupplierAddressPhoneNumber":{"properties":{"customAttributes":{"description":"Attributes that can be added to the phonenumber. These attributes cannot be used within fulfillment processes, but it could be useful to have the informations carried here.","type":"object"},"label":{"description":"Can be used to give a description for the number, like \"private\", \"business number\", etc.","type":"string"},"type":{"enum":["MOBILE","PHONE"],"type":"string"},"value":{"description":"The number itself. We do not enforce any format (yet).","type":"string"}},"required":["value","type"],"type":"object","title":"SupplierAddressPhoneNumber","description":"SupplierAddressPhoneNumber"},"SupplierAddress":{"allOf":[{"$ref":"#/components/schemas/SupplierAddressForCreation"},{"properties":{"resolvedTimeZone":{"$ref":"#/components/schemas/TimeZone"}},"type":"object"}],"type":"object","title":"SupplierAddress","description":"SupplierAddress"},"ApiError":{"items":{"$ref":"#/components/schemas/ErrorInner"},"type":"array","xml":{"name":"ApiError"},"title":"ApiError","description":"ApiError"},"ErrorInner":{"properties":{"description":{"type":"string"},"requestVersion":{"description":"The version provided within an invalid request.","format":"int64","type":"integer"},"summary":{"type":"string"},"version":{"format":"int64","type":"integer"}},"required":["summary"],"type":"object","title":"ErrorInner","description":"ErrorInner"}}},"paths":{"/api/facilities/{facilityId}":{"get":{"description":"","operationId":"getFacility","parameters":[{"description":"ID of facility you want to get. Also accepts tenantFacilityId in urn format (e.g. urn:fft:facility:tenantFacilityId:{your-tenant-facility-id}).","in":"path","name":"facilityId","required":true,"schema":{"type":"string"}}],"responses":{"200":{"content":{"application/json":{"schema":{"anyOf":[{"$ref":"#/components/schemas/ManagedFacility"},{"$ref":"#/components/schemas/Supplier"}]}}},"description":"Facility was found & you were allowed to access it. The result is in the body."},"401":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user is not allowed to operate against this API instance"},"403":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user, although recognized, is not authorized to use this endpoint"},"404":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Facility not found"}},"summary":"Get facility","tags":["Facilities"]}}}}
```

## PUT /api/facilities/{facilityId}

> Update facility

```json
{"openapi":"3.0.1","info":{"title":"fulfillmenttools","version":"VERSIONLESS"},"tags":[{"description":"Facilities represent various locations that form part of the fulfillment network.","name":"Facilities"}],"servers":[{"url":"https://{tenant}.api.fulfillmenttools.com","variables":{"tenant":{"default":"your-tenant-name"}}}],"security":[{"BearerToken":[]}],"components":{"securitySchemes":{"BearerToken":{"type":"http","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"ManagedFacilityForReplacement":{"additionalProperties":false,"properties":{"address":{"$ref":"#/components/schemas/FacilityAddressForCreation"},"capacityEnabled":{"default":false,"description":"Indicates that configured capacity limits for picking times are considered","type":"boolean"},"capacityPlanningTimeframe":{"description":"The range in days per facility which defines how many days in the future the capacity of the facility can be planned","minimum":1,"type":"integer"},"closingDays":{"description":"Days of the year where the facility is closed and doesn't allows picking","items":{"$ref":"#/components/schemas/ClosingDay"},"type":"array"},"configs":{"items":{"$ref":"#/components/schemas/LinkedConfiguration"},"type":"array"},"contact":{"$ref":"#/components/schemas/FacilityContact"},"customAttributes":{"description":"Attributes that can be added to the facility. These attributes cannot be used within fulfillment processes, but it could be useful to have the informations carried here.","type":"object"},"fulfillmentProcessBuffer":{"default":240,"description":"Duration in minutes until an order is processed","minimum":0,"type":"integer"},"locationType":{"$ref":"#/components/schemas/FacilityLocationType"},"name":{"type":"string"},"pickingMethods":{"description":"Picking Methods supported by this facility.","items":{"$ref":"#/components/schemas/PickingMethodEnum"},"type":"array"},"pickingTimes":{"$ref":"#/components/schemas/PickingTimes"},"scanningRule":{"$ref":"#/components/schemas/ScanningRuleConfiguration"},"services":{"items":{"$ref":"#/components/schemas/FacilityService"},"type":"array"},"status":{"$ref":"#/components/schemas/FacilityStatus"},"tenantFacilityId":{"description":"The id of the facility in the tenants own system","type":"string"},"type":{"$ref":"#/components/schemas/FacilityType"},"version":{"description":"The version of the document to be used in optimistic locking mechanisms.","format":"int64","type":"integer"},"tags":{"items":{"$ref":"#/components/schemas/TagReference"},"minItems":1,"type":"array"}},"discriminator":{"propertyName":"type"},"required":["version","type","status","name","address","locationType","fulfillmentProcessBuffer","capacityEnabled"],"type":"object","xml":{"name":"ManagedFacilityForReplacement"},"title":"ManagedFacilityForReplacement","description":"ManagedFacilityForReplacement"},"FacilityAddressForCreation":{"allOf":[{"$ref":"#/components/schemas/Address"},{"properties":{"companyName":{"type":"string"},"emailAddresses":{"items":{"properties":{"recipient":{"description":"Human readable information who is the recipient for emails sent to this address.","type":"string"},"value":{"type":"string"}},"required":["value"],"type":"object"},"maxItems":10,"type":"array"},"resolvedCoordinates":{"$ref":"#/components/schemas/Coordinates"},"resolvedTimeZone":{"allOf":[{"$ref":"#/components/schemas/TimeZoneForCreation"}],"description":"User-specified time zone in identifier format (e.g., \"America/Los_Angeles\"). Used to determine local time. Relevant only if the country spans multiple time zones; otherwise, the time zone is automatically determined from the country or via Google if unspecified."}},"required":["companyName"],"type":"object"}],"type":"object","xml":{"name":"FacilityAddressForCreation"},"title":"FacilityAddressForCreation","description":"FacilityAddressForCreation"},"Address":{"properties":{"additionalAddressInfo":{"type":"string"},"city":{"pattern":"^.+$","type":"string"},"country":{"description":"A two-digit country code as per ISO 3166-1 alpha-2","pattern":"^[A-Z]{2}$","type":"string"},"customAttributes":{"description":"Attributes that can be added to the address. These attributes cannot be used within fulfillment processes, but it could be useful to have the informations carried here.","type":"object"},"houseNumber":{"pattern":"^.+$","type":"string"},"phoneNumbers":{"items":{"properties":{"customAttributes":{"description":"Attributes that can be added to the phonenumber. These attributes cannot be used within fulfillment processes, but it could be useful to have the informations carried here.","type":"object"},"label":{"description":"Can be used to give a description for the number, like \"private\", \"business number\", etc.","type":"string"},"type":{"enum":["MOBILE","PHONE"],"type":"string"},"value":{"description":"The number itself. We do not enforce any format (yet).","type":"string"}},"required":["value","type"],"type":"object"},"maxItems":500,"type":"array"},"postalCode":{"pattern":"^.+$","type":"string"},"province":{"pattern":"^.+$","type":"string"},"street":{"pattern":"^.+$","type":"string"}},"required":["street","city","postalCode","country"],"type":"object","title":"Address","description":"Address"},"Coordinates":{"description":"Coordinates of the WGS84 geodetic reference system in Mercator projection, as used e.g. by the Google Maps API","properties":{"lat":{"description":"Latitude value","type":"number"},"lon":{"description":"Longitude value","type":"number"}},"required":["lat","lon"],"type":"object","title":"Coordinates"},"TimeZoneForCreation":{"description":"Self-provided timezone for determining the local time of a facility","properties":{"timeZoneId":{"description":"official id of the timezone","type":"string"}},"required":["timeZoneId"],"type":"object","title":"TimeZoneForCreation"},"ClosingDay":{"description":"At this day the facility is closed and does not do picking","properties":{"date":{"description":"The day at which the Facility is closed","format":"date-time","type":"string"},"reason":{"description":"The reason why the Facility is closed on this day","type":"string"},"recurrence":{"enum":["YEARLY","NONRECURRING"],"type":"string"}},"required":["reason","date","recurrence"],"type":"object","title":"ClosingDay"},"LinkedConfiguration":{"properties":{"ref":{"type":"string"},"rel":{"type":"string"}},"type":"object","title":"LinkedConfiguration","description":"LinkedConfiguration"},"FacilityContact":{"properties":{"customAttributes":{"description":"Attributes that can be added to the contact. These attributes cannot be used within fulfillment processes, but it could be useful to have the informations carried here.","type":"object"},"firstName":{"type":"string"},"lastName":{"type":"string"},"roleDescription":{"type":"string"}},"required":["firstName","lastName"],"type":"object","xml":{"name":"FacilityContact"},"title":"FacilityContact","description":"FacilityContact"},"FacilityLocationType":{"default":"STORE","enum":["STORE","WAREHOUSE","EXTERNAL"],"type":"string","xml":{"name":"FacilityLocationType"},"title":"FacilityLocationType","description":"FacilityLocationType"},"PickingMethodEnum":{"description":"Way in which the picking should be handled Deprecated: BATCH_PICKING, use BATCH instead","enum":["SINGLE_ORDER","MULTI_ORDER","BATCH_PICKING","BATCH"],"type":"string","title":"PickingMethodEnum"},"PickingTimes":{"description":"Time ranges defining the picking times per weekday. No overlapping ranges are allowed. There must be no overlaps for time ranges on a day","properties":{"friday":{"items":{"$ref":"#/components/schemas/TimeRange"},"type":"array"},"monday":{"items":{"$ref":"#/components/schemas/TimeRange"},"type":"array"},"saturday":{"items":{"$ref":"#/components/schemas/TimeRange"},"type":"array"},"sunday":{"items":{"$ref":"#/components/schemas/TimeRange"},"type":"array"},"thursday":{"items":{"$ref":"#/components/schemas/TimeRange"},"type":"array"},"tuesday":{"items":{"$ref":"#/components/schemas/TimeRange"},"type":"array"},"wednesday":{"items":{"$ref":"#/components/schemas/TimeRange"},"type":"array"}},"type":"object","title":"PickingTimes"},"TimeRange":{"properties":{"capacity":{"minimum":0,"type":"number"},"end":{"$ref":"#/components/schemas/TimeStamp"},"start":{"$ref":"#/components/schemas/TimeStamp"}},"required":["start","end"],"type":"object","title":"TimeRange","description":"TimeRange"},"TimeStamp":{"properties":{"hour":{"maximum":23,"minimum":0,"type":"number"},"minute":{"maximum":59,"minimum":0,"type":"number"}},"required":["hour","minute"],"type":"object","title":"TimeStamp","description":"TimeStamp"},"ScanningRuleConfiguration":{"description":"Configuration to show the client how the items should be scanned during picking","properties":{"values":{"items":{"$ref":"#/components/schemas/ScanningRuleValue"},"type":"array"}},"title":"ScanningRuleConfiguration"},"ScanningRuleValue":{"properties":{"priority":{"description":"This field allows you to rank scanningRuleType against each other. The lowest number is the most preferable.","minimum":0,"type":"number"},"scanningRuleType":{"$ref":"#/components/schemas/ScanningRuleTypeEnum"}},"required":["priority","scanningRuleType"],"type":"object","title":"ScanningRuleValue","description":"ScanningRuleValue"},"ScanningRuleTypeEnum":{"description":"Type of scanning rule","enum":["ARTICLE","LOCATION"],"type":"string","title":"ScanningRuleTypeEnum"},"FacilityService":{"additionalProperties":false,"properties":{"type":{"$ref":"#/components/schemas/FacilityServiceType"}},"required":["type"],"type":"object","xml":{"name":"FacilityService"},"title":"FacilityService","description":"FacilityService"},"FacilityServiceType":{"description":"The description of the service this facility offers.","enum":["SHIP_FROM_STORE","PICKUP"],"type":"string","title":"FacilityServiceType"},"FacilityStatus":{"description":"The state of the facility. ONLINE means that this facility can process new orders and pickjobs, SUSPENDED means it cannot get new orders but is able to fulfill the current workload and OFFLINE means that it cannot fulfill any new or existing orders. Processes already running might be rescheduled to another facility depending on the preferences.","enum":["ONLINE","SUSPENDED","OFFLINE"],"type":"string","title":"FacilityStatus"},"FacilityType":{"default":"MANAGED_FACILITY","enum":["MANAGED_FACILITY","SUPPLIER"],"type":"string","xml":{"name":"FacilityType"},"title":"FacilityType","description":"FacilityType"},"TagReference":{"properties":{"id":{"type":"string"},"value":{"type":"string"}},"required":["value","id"],"title":"TagReference","description":"TagReference"},"SupplierForReplacement":{"additionalProperties":false,"properties":{"address":{"$ref":"#/components/schemas/SupplierAddressForCreation"},"customAttributes":{"description":"Attributes that can be added to the facility. These attributes cannot be used within fulfillment processes, but it could be useful to have the informations carried here.","type":"object"},"name":{"type":"string"},"status":{"$ref":"#/components/schemas/FacilityStatus"},"tenantFacilityId":{"description":"The id of the facility in the tenants own system","type":"string"},"type":{"$ref":"#/components/schemas/FacilityType"},"version":{"description":"The version of the document to be used in optimistic locking mechanisms.","format":"int64","type":"integer"},"tags":{"items":{"$ref":"#/components/schemas/TagReference"},"minItems":1,"type":"array"}},"required":["version","name","status","type"],"type":"object","discriminator":{"propertyName":"type"},"xml":{"name":"SupplierForReplacement"},"title":"SupplierForReplacement","description":"SupplierForReplacement"},"SupplierAddressForCreation":{"properties":{"additionalAddressInfo":{"type":"string"},"city":{"pattern":"^.+$","type":"string"},"companyName":{"type":"string"},"country":{"description":"A two-digit country code as per ISO 3166-1 alpha-2","pattern":"^[A-Z]{2}$","type":"string"},"customAttributes":{"description":"Attributes that can be added to the address. These attributes cannot be used within fulfillment processes, but it could be useful to have the informations carried here.","type":"object"},"emailAddresses":{"items":{"$ref":"#/components/schemas/SupplierAddressEmailAddress"},"type":"array"},"houseNumber":{"pattern":"^.+$","type":"string"},"phoneNumbers":{"items":{"$ref":"#/components/schemas/SupplierAddressPhoneNumber"},"type":"array"},"postalCode":{"pattern":"^.+$","type":"string"},"province":{"pattern":"^.+$","type":"string"},"resolvedCoordinates":{"$ref":"#/components/schemas/Coordinates"},"resolvedTimeZone":{"$ref":"#/components/schemas/TimeZoneForCreation","description":"User-specified time zone in identifier format (e.g., \"America/Los_Angeles\"). Used to determine local time. Relevant only if the country spans multiple time zones; otherwise, the time zone is automatically determined from the country or via Google if unspecified."},"street":{"pattern":"^.+$","type":"string"}},"required":["country","companyName"],"type":"object","title":"SupplierAddressForCreation","description":"SupplierAddressForCreation"},"SupplierAddressEmailAddress":{"properties":{"recipient":{"description":"Human readable information who is the recipient for emails sent to this address.","type":"string"},"value":{"format":"email","type":"string"}},"required":["value"],"type":"object","title":"SupplierAddressEmailAddress","description":"SupplierAddressEmailAddress"},"SupplierAddressPhoneNumber":{"properties":{"customAttributes":{"description":"Attributes that can be added to the phonenumber. These attributes cannot be used within fulfillment processes, but it could be useful to have the informations carried here.","type":"object"},"label":{"description":"Can be used to give a description for the number, like \"private\", \"business number\", etc.","type":"string"},"type":{"enum":["MOBILE","PHONE"],"type":"string"},"value":{"description":"The number itself. We do not enforce any format (yet).","type":"string"}},"required":["value","type"],"type":"object","title":"SupplierAddressPhoneNumber","description":"SupplierAddressPhoneNumber"},"ManagedFacility":{"allOf":[{"$ref":"#/components/schemas/Facility"},{"$ref":"#/components/schemas/ManagedFacilityForCreation"}],"properties":{"address":{"$ref":"#/components/schemas/FacilityAddress"},"configs":{"items":{"$ref":"#/components/schemas/LinkedConfiguration"},"type":"array"}},"required":["status","address","name"],"type":"object","xml":{"name":"ManagedFacility"},"title":"ManagedFacility","description":"ManagedFacility"},"Facility":{"allOf":[{"$ref":"#/components/schemas/VersionedResource"},{"$ref":"#/components/schemas/FacilityForCreation"}],"properties":{"id":{"description":"The id of this facility. It is generated during creation automatically and suits as the primary identifier of the described entity.","type":"string"},"operativeCosts":{"items":{"$ref":"#/components/schemas/FacilityOperativeCost"},"maxItems":1,"type":"array"}},"required":["id","type","status"],"type":"object","xml":{"name":"Facility"},"title":"Facility","description":"Facility"},"VersionedResource":{"properties":{"created":{"description":"The date this entity was created at the platform. This value is generated by the service.","format":"date-time","type":"string"},"lastModified":{"description":"The date this entity was modified last. This value is generated by the service.","format":"date-time","type":"string"},"version":{"description":"The version of the document to be used in optimistic locking mechanisms.","format":"int64","type":"integer"}},"required":["version"],"type":"object","title":"VersionedResource","description":"VersionedResource"},"FacilityForCreation":{"properties":{"customAttributes":{"description":"Attributes that can be added to the facility. These attributes cannot be used within fulfillment processes, but it could be useful to have the informations carried here.","type":"object"},"name":{"type":"string"},"operativeCosts":{"items":{"$ref":"#/components/schemas/FacilityOperativeCostForCreation"},"maxItems":1,"type":"array"},"status":{"$ref":"#/components/schemas/FacilityStatus"},"tenantFacilityId":{"description":"The id of the facility in the tenants own system","type":"string"},"type":{"$ref":"#/components/schemas/FacilityType","default":"MANAGED_FACILITY"},"tags":{"items":{"$ref":"#/components/schemas/TagReference"},"minItems":1,"type":"array"}},"required":["name"],"type":"object","xml":{"name":"FacilityForCreation"},"title":"FacilityForCreation","description":"FacilityForCreation"},"FacilityOperativeCostForCreation":{"properties":{"currency":{"allOf":[{"$ref":"#/components/schemas/CurrencyCode"}],"description":"The currency of the price as an ISO 4217 code.","nullable":true,"type":"string"},"decimalPlaces":{"description":"Number of decimal places for the given currency. We be defaulted according to the currency if missing.","minimum":0,"type":"integer"},"value":{"description":"Value of operational cost of the facility. Value is configured in the smallest subunit, e.g. cents.","minimum":0,"type":"integer"}},"required":["value","currency"],"type":"object","title":"FacilityOperativeCostForCreation","description":"FacilityOperativeCostForCreation"},"CurrencyCode":{"description":"The currency code is a three-letter code that represents a currency in the ISO 4217 standard.","enum":["AED","AFN","ALL","AMD","ANG","AOA","ARS","AUD","AWG","AZN","BAM","BBD","BDT","BGN","BHD","BIF","BMD","BND","BOB","BOV","BRL","BSD","BTN","BWP","BYN","BZD","CAD","CDF","CHE","CHF","CHW","CLF","CLP","CNY","COP","COU","CRC","CUC","CUP","CVE","CZK","DJF","DKK","DOP","DZD","EGP","ERN","ETB","EUR","FJD","FKP","GBP","GEL","GHS","GIP","GMD","GNF","GTQ","GYD","HKD","HNL","HTG","HUF","IDR","ILS","INR","IQD","IRR","ISK","JMD","JOD","JPY","KES","KGS","KHR","KMF","KPW","KRW","KWD","KYD","KZT","LAK","LBP","LKR","LRD","LSL","LYD","MAD","MDL","MGA","MKD","MMK","MNT","MOP","MRU","MUR","MVR","MWK","MXN","MXV","MYR","MZN","NAD","NGN","NIO","NOK","NPR","NZD","OMR","PAB","PEN","PGK","PHP","PKR","PLN","PYG","QAR","RON","RSD","RUB","RWF","SAR","SBD","SCR","SDG","SEK","SGD","SHP","SLE","SOS","SRD","SSP","STN","SVC","SYP","SZL","THB","TJS","TMT","TND","TOP","TRY","TTD","TWD","TZS","UAH","UGX","USD","USN","UYI","UYU","UYW","UZS","VED","VES","VND","VUV","WST","XAF","XAG","XAU","XBA","XBB","XBC","XBD","XCD","XDR","XOF","XPD","XPF","XPT","XSU","XTS","XUA","XXX","YER","ZAR","ZMW","ZWL"],"type":"string","title":"CurrencyCode"},"FacilityOperativeCost":{"properties":{"currency":{"allOf":[{"$ref":"#/components/schemas/CurrencyCode"}],"description":"The currency of the price as an ISO 4217 code.","nullable":true,"type":"string"},"decimalPlaces":{"description":"Number of decimal places for the given currency","minimum":0,"type":"integer"},"value":{"description":"Value of operational cost of the facility. Value is configured in the smallest subunit, e.g. cents.","minimum":0,"type":"integer"}},"required":["value","currency","decimalPlaces"],"type":"object","title":"FacilityOperativeCost","description":"FacilityOperativeCost"},"ManagedFacilityForCreation":{"allOf":[{"$ref":"#/components/schemas/FacilityForCreation"}],"properties":{"address":{"$ref":"#/components/schemas/FacilityAddressForCreation"},"capacityEnabled":{"default":false,"description":"Indicates that configured capacity limits for picking times are considered","type":"boolean"},"capacityPlanningTimeframe":{"description":"The range in days per facility which defines how many days in the future the capacity of the facility can be planned","minimum":1,"type":"integer"},"closingDays":{"description":"Days of the year where the facility is closed and doesn't allows picking","items":{"$ref":"#/components/schemas/ClosingDay"},"type":"array"},"contact":{"$ref":"#/components/schemas/FacilityContact"},"fulfillmentProcessBuffer":{"default":240,"description":"Duration in minutes until an order is processed","minimum":0,"type":"integer"},"locationType":{"$ref":"#/components/schemas/FacilityLocationType"},"pickingMethods":{"description":"Picking Methods supported by this facility.","items":{"$ref":"#/components/schemas/PickingMethodEnum"},"type":"array"},"pickingTimes":{"$ref":"#/components/schemas/PickingTimes","description":"Time ranges defining the picking times per weekday. No overlapping ranges are allowed"},"scanningRule":{"$ref":"#/components/schemas/ScanningRuleConfiguration"},"services":{"items":{"$ref":"#/components/schemas/FacilityService"},"type":"array"}},"required":["name","address"],"type":"object","xml":{"name":"ManagedFacilityForCreation"},"title":"ManagedFacilityForCreation","description":"ManagedFacilityForCreation"},"FacilityAddress":{"allOf":[{"$ref":"#/components/schemas/FacilityAddressForCreation"},{"properties":{"resolvedTimeZone":{"$ref":"#/components/schemas/TimeZone"}},"type":"object"}],"type":"object","xml":{"name":"FacilityAddress"},"title":"FacilityAddress","description":"FacilityAddress"},"TimeZone":{"description":"Timezone for information retrieved e.g. by the Google Maps API","properties":{"offsetInSeconds":{"description":"offset in seconds to standard time. Does not account for daylight saving time.","type":"number"},"source":{"description":"source of the timezone information","type":"string"},"timeZoneId":{"description":"official id of the timezone","type":"string"},"timeZoneName":{"description":"descriptive name of the timezone","type":"string"}},"required":["timeZoneId","timeZoneName","offsetInSeconds"],"type":"object","title":"TimeZone"},"Supplier":{"allOf":[{"$ref":"#/components/schemas/Facility"},{"$ref":"#/components/schemas/SupplierForCreation"}],"properties":{"address":{"$ref":"#/components/schemas/SupplierAddress"}},"type":"object","xml":{"name":"Supplier"},"title":"Supplier","description":"Supplier"},"SupplierForCreation":{"allOf":[{"$ref":"#/components/schemas/FacilityForCreation"}],"properties":{"address":{"$ref":"#/components/schemas/SupplierAddressForCreation"}},"type":"object","xml":{"name":"SupplierForCreation"},"title":"SupplierForCreation","description":"SupplierForCreation"},"SupplierAddress":{"allOf":[{"$ref":"#/components/schemas/SupplierAddressForCreation"},{"properties":{"resolvedTimeZone":{"$ref":"#/components/schemas/TimeZone"}},"type":"object"}],"type":"object","title":"SupplierAddress","description":"SupplierAddress"},"ApiError":{"items":{"$ref":"#/components/schemas/ErrorInner"},"type":"array","xml":{"name":"ApiError"},"title":"ApiError","description":"ApiError"},"ErrorInner":{"properties":{"description":{"type":"string"},"requestVersion":{"description":"The version provided within an invalid request.","format":"int64","type":"integer"},"summary":{"type":"string"},"version":{"format":"int64","type":"integer"}},"required":["summary"],"type":"object","title":"ErrorInner","description":"ErrorInner"}}},"paths":{"/api/facilities/{facilityId}":{"put":{"operationId":"replaceFacility","parameters":[{"description":"ID of facility you want to replace. Also accepts tenantFacilityId in urn format (e.g. urn:fft:facility:tenantFacilityId:{your-tenant-facility-id}).","in":"path","name":"facilityId","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"oneOf":[{"$ref":"#/components/schemas/ManagedFacilityForReplacement"},{"$ref":"#/components/schemas/SupplierForReplacement"}],"discriminator":{"propertyName":"type","mapping":{"MANAGED_FACILITY":"#/components/schemas/ManagedFacilityForReplacement","SUPPLIER":"#/components/schemas/SupplierForReplacement"}}}}},"required":true},"responses":{"200":{"content":{"application/json":{"schema":{"oneOf":[{"$ref":"#/components/schemas/ManagedFacility"},{"$ref":"#/components/schemas/Supplier"}]}}},"description":"Facility was replaced. The replaced facility is in the body."},"401":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user is not allowed to operate against this API instance"},"403":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user, although recognized, is not authorized to use this endpoint"},"404":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Facility not found"},"409":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Facility version conflict"}},"summary":"Update facility","tags":["Facilities"]}}}}
```

## DELETE /api/facilities/{facilityId}

> Delete facility

```json
{"openapi":"3.0.1","info":{"title":"fulfillmenttools","version":"VERSIONLESS"},"tags":[{"description":"Facilities represent various locations that form part of the fulfillment network.","name":"Facilities"}],"servers":[{"url":"https://{tenant}.api.fulfillmenttools.com","variables":{"tenant":{"default":"your-tenant-name"}}}],"security":[{"BearerToken":[]}],"components":{"securitySchemes":{"BearerToken":{"type":"http","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"ApiError":{"items":{"$ref":"#/components/schemas/ErrorInner"},"type":"array","xml":{"name":"ApiError"},"title":"ApiError","description":"ApiError"},"ErrorInner":{"properties":{"description":{"type":"string"},"requestVersion":{"description":"The version provided within an invalid request.","format":"int64","type":"integer"},"summary":{"type":"string"},"version":{"format":"int64","type":"integer"}},"required":["summary"],"type":"object","title":"ErrorInner","description":"ErrorInner"}}},"paths":{"/api/facilities/{facilityId}":{"delete":{"description":"","operationId":"deleteFacility","parameters":[{"description":"ID of facility you want to delete. Also accepts tenantFacilityId in urn format (e.g. urn:fft:facility:tenantFacilityId:{your-tenant-facility-id}).","in":"path","name":"facilityId","required":true,"schema":{"type":"string"}},{"description":"cascading deletion without pre condition check","in":"query","name":"forceDeletion","required":false,"schema":{"default":false,"type":"boolean"}}],"responses":{"200":{"description":"Facility was found & you were allowed to delete it."},"401":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user is not allowed to operate against this API instance"},"403":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user, although recognized, is not authorized to use this endpoint"},"404":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Facility not found"}},"summary":"Delete facility","tags":["Facilities"]}}}}
```

## PATCH /api/facilities/{facilityId}

> Update facility

```json
{"openapi":"3.0.1","info":{"title":"fulfillmenttools","version":"VERSIONLESS"},"tags":[{"description":"Facilities represent various locations that form part of the fulfillment network.","name":"Facilities"}],"servers":[{"url":"https://{tenant}.api.fulfillmenttools.com","variables":{"tenant":{"default":"your-tenant-name"}}}],"security":[{"BearerToken":[]}],"components":{"securitySchemes":{"BearerToken":{"type":"http","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"FacilityPatchActions":{"description":"This part of the API is deprecated. For details, see the <a href=\"https://docs.fulfillmenttools.com/documentation/apis/api-versioning-and-lifecycle#lifecycle-overview\" target=\"_blank\">API release lifecycle documentation</a>.<br /><br />Deprecated; works only on managed facilities. Prefer to use ManagedFacilityForModification / SupplierForModification for full compatibility.","properties":{"actions":{"items":{"$ref":"#/components/schemas/ModifyFacility"},"minItems":1,"type":"array"},"version":{"description":"The version of the document to be used in optimistic locking mechanisms.","format":"int64","type":"integer"}},"required":["version","actions"],"type":"object","xml":{"name":"FacilityPatchActions"},"title":"FacilityPatchActions","deprecated":true},"ModifyFacility":{"allOf":[{"$ref":"#/components/schemas/AbstractModificationAction"},{"additionalProperties":false,"properties":{"action":{"description":"Use value 'ModifyFacility', because you want to modify a facility","enum":["ModifyFacility"],"type":"string"},"address":{"$ref":"#/components/schemas/ModifyFacilityAddress"},"capacityEnabled":{"type":"boolean"},"capacityPlanningTimeframe":{"description":"The range in days per facility which defines how many days in the future the capacity of the facility can be planned","minimum":1,"type":"integer"},"closingDays":{"description":"Days of the year where the facility is closed and doesn't allows picking","items":{"$ref":"#/components/schemas/ClosingDay"},"type":"array"},"contact":{"$ref":"#/components/schemas/FacilityContact"},"customAttributes":{"description":"Attributes that can be added to the facility. These attributes cannot be used within fulfillment processes, but it could be useful to have the informations carried here.","type":"object"},"fulfillmentProcessBuffer":{"description":"Duration in minutes until an order is processed","minimum":0,"type":"integer"},"locationType":{"$ref":"#/components/schemas/FacilityLocationType"},"name":{"type":"string"},"operativeCosts":{"items":{"$ref":"#/components/schemas/FacilityOperativeCostForCreation"},"maxItems":1,"type":"array"},"pickingMethods":{"description":"Picking Methods supported by this facility.","items":{"$ref":"#/components/schemas/PickingMethodEnum"},"type":"array"},"pickingTimes":{"$ref":"#/components/schemas/PickingTimes","description":"Time ranges defining the picking times per weekday. No overlapping ranges are allowed"},"scanningRule":{"$ref":"#/components/schemas/ScanningRuleConfiguration"},"services":{"items":{"properties":{"type":{"description":"The description of the service this facility offers.","enum":["SHIP_FROM_STORE","PICKUP"],"type":"string"}},"required":["type"],"type":"object"},"type":"array"},"status":{"description":"The state of the facility. ONLINE means that this facility can process new orders and pickjobs, SUSPENDED means it cannot get new orders but is able to fulfill the current workload and OFFLINE means that it cannot fulfill any new or existing orders. Processes already running might be rescheduled to another facility depending on the preferences.","enum":["ONLINE","SUSPENDED","OFFLINE"],"type":"string"},"tenantFacilityId":{"description":"The id of the facility in the tenants own system","type":"string"},"tags":{"items":{"$ref":"#/components/schemas/TagReference"},"minItems":0,"type":"array"}},"required":["action"],"type":"object"}],"xml":{"name":"ModifyFacility"},"title":"ModifyFacility","description":"ModifyFacility"},"AbstractModificationAction":{"discriminator":{"propertyName":"action"},"properties":{"action":{"description":"","enum":["AddAllowedValueToTag","ModifyFacility","ModifyListing","ModifyRetainedOfflineStock","ModifyListingReactivationAfter","ModifyUser","ModifyCarrier","ModifyShortpick","ModifyRoutingPlan","ModifyFence","ModifyRating","ModifyTimingMode","ModifyGlobalRoutingConfiguration","ModifyOrderSplit","ModifyPrioritization","ModifyFeature","ModifyPartialStock","AddTagsToProcess","AssignFacilityToProcess","UpdateGdprCleanupDateAction","ModifyStorageLocation","UnlockOrder"],"type":"string"}},"required":["action"],"type":"object","xml":{"name":"AbstractModificationAction"},"title":"AbstractModificationAction","description":"AbstractModificationAction"},"ModifyFacilityAddress":{"allOf":[{"$ref":"#/components/schemas/ModifyAddress"},{"type":"object"},{"properties":{"companyName":{"type":"string"},"emailAddresses":{"items":{"properties":{"recipient":{"description":"Human readable information who is the recipient for emails sent to this address.","type":"string"},"value":{"format":"email","type":"string"}},"required":["value"],"type":"object"},"type":"array"}},"type":"object"}],"title":"ModifyFacilityAddress","description":"ModifyFacilityAddress"},"ModifyAddress":{"properties":{"additionalAddressInfo":{"type":"string"},"city":{"pattern":"^.+$","type":"string"},"country":{"description":"A two-digit country code as per ISO 3166-1 alpha-2","pattern":"^[A-Z]{2}$","type":"string"},"customAttributes":{"description":"Attributes that can be added to the address. These attributes cannot be used within fulfillment processes, but it could be useful to have the informations carried here.","type":"object"},"houseNumber":{"pattern":"^.+$","type":"string"},"phoneNumbers":{"items":{"properties":{"customAttributes":{"description":"Attributes that can be added to the phonenumber. These attributes cannot be used within fulfillment processes, but it could be useful to have the informations carried here.","type":"object"},"label":{"description":"Can be used to give a description for the number, like \"private\", \"business number\", etc.","type":"string"},"type":{"enum":["MOBILE","PHONE"],"type":"string"},"value":{"description":"The number itself. We do not enforce any format (yet).","type":"string"}},"type":"object"},"maxItems":500,"type":"array"},"postalCode":{"pattern":"^.+$","type":"string"},"province":{"pattern":"^.+$","type":"string"},"resolvedCoordinates":{"$ref":"#/components/schemas/Coordinates"},"street":{"pattern":"^.+$","type":"string"}},"type":"object","title":"ModifyAddress","description":"ModifyAddress"},"Coordinates":{"description":"Coordinates of the WGS84 geodetic reference system in Mercator projection, as used e.g. by the Google Maps API","properties":{"lat":{"description":"Latitude value","type":"number"},"lon":{"description":"Longitude value","type":"number"}},"required":["lat","lon"],"type":"object","title":"Coordinates"},"ClosingDay":{"description":"At this day the facility is closed and does not do picking","properties":{"date":{"description":"The day at which the Facility is closed","format":"date-time","type":"string"},"reason":{"description":"The reason why the Facility is closed on this day","type":"string"},"recurrence":{"enum":["YEARLY","NONRECURRING"],"type":"string"}},"required":["reason","date","recurrence"],"type":"object","title":"ClosingDay"},"FacilityContact":{"properties":{"customAttributes":{"description":"Attributes that can be added to the contact. These attributes cannot be used within fulfillment processes, but it could be useful to have the informations carried here.","type":"object"},"firstName":{"type":"string"},"lastName":{"type":"string"},"roleDescription":{"type":"string"}},"required":["firstName","lastName"],"type":"object","xml":{"name":"FacilityContact"},"title":"FacilityContact","description":"FacilityContact"},"FacilityLocationType":{"default":"STORE","enum":["STORE","WAREHOUSE","EXTERNAL"],"type":"string","xml":{"name":"FacilityLocationType"},"title":"FacilityLocationType","description":"FacilityLocationType"},"FacilityOperativeCostForCreation":{"properties":{"currency":{"allOf":[{"$ref":"#/components/schemas/CurrencyCode"}],"description":"The currency of the price as an ISO 4217 code.","nullable":true,"type":"string"},"decimalPlaces":{"description":"Number of decimal places for the given currency. We be defaulted according to the currency if missing.","minimum":0,"type":"integer"},"value":{"description":"Value of operational cost of the facility. Value is configured in the smallest subunit, e.g. cents.","minimum":0,"type":"integer"}},"required":["value","currency"],"type":"object","title":"FacilityOperativeCostForCreation","description":"FacilityOperativeCostForCreation"},"CurrencyCode":{"description":"The currency code is a three-letter code that represents a currency in the ISO 4217 standard.","enum":["AED","AFN","ALL","AMD","ANG","AOA","ARS","AUD","AWG","AZN","BAM","BBD","BDT","BGN","BHD","BIF","BMD","BND","BOB","BOV","BRL","BSD","BTN","BWP","BYN","BZD","CAD","CDF","CHE","CHF","CHW","CLF","CLP","CNY","COP","COU","CRC","CUC","CUP","CVE","CZK","DJF","DKK","DOP","DZD","EGP","ERN","ETB","EUR","FJD","FKP","GBP","GEL","GHS","GIP","GMD","GNF","GTQ","GYD","HKD","HNL","HTG","HUF","IDR","ILS","INR","IQD","IRR","ISK","JMD","JOD","JPY","KES","KGS","KHR","KMF","KPW","KRW","KWD","KYD","KZT","LAK","LBP","LKR","LRD","LSL","LYD","MAD","MDL","MGA","MKD","MMK","MNT","MOP","MRU","MUR","MVR","MWK","MXN","MXV","MYR","MZN","NAD","NGN","NIO","NOK","NPR","NZD","OMR","PAB","PEN","PGK","PHP","PKR","PLN","PYG","QAR","RON","RSD","RUB","RWF","SAR","SBD","SCR","SDG","SEK","SGD","SHP","SLE","SOS","SRD","SSP","STN","SVC","SYP","SZL","THB","TJS","TMT","TND","TOP","TRY","TTD","TWD","TZS","UAH","UGX","USD","USN","UYI","UYU","UYW","UZS","VED","VES","VND","VUV","WST","XAF","XAG","XAU","XBA","XBB","XBC","XBD","XCD","XDR","XOF","XPD","XPF","XPT","XSU","XTS","XUA","XXX","YER","ZAR","ZMW","ZWL"],"type":"string","title":"CurrencyCode"},"PickingMethodEnum":{"description":"Way in which the picking should be handled Deprecated: BATCH_PICKING, use BATCH instead","enum":["SINGLE_ORDER","MULTI_ORDER","BATCH_PICKING","BATCH"],"type":"string","title":"PickingMethodEnum"},"PickingTimes":{"description":"Time ranges defining the picking times per weekday. No overlapping ranges are allowed. There must be no overlaps for time ranges on a day","properties":{"friday":{"items":{"$ref":"#/components/schemas/TimeRange"},"type":"array"},"monday":{"items":{"$ref":"#/components/schemas/TimeRange"},"type":"array"},"saturday":{"items":{"$ref":"#/components/schemas/TimeRange"},"type":"array"},"sunday":{"items":{"$ref":"#/components/schemas/TimeRange"},"type":"array"},"thursday":{"items":{"$ref":"#/components/schemas/TimeRange"},"type":"array"},"tuesday":{"items":{"$ref":"#/components/schemas/TimeRange"},"type":"array"},"wednesday":{"items":{"$ref":"#/components/schemas/TimeRange"},"type":"array"}},"type":"object","title":"PickingTimes"},"TimeRange":{"properties":{"capacity":{"minimum":0,"type":"number"},"end":{"$ref":"#/components/schemas/TimeStamp"},"start":{"$ref":"#/components/schemas/TimeStamp"}},"required":["start","end"],"type":"object","title":"TimeRange","description":"TimeRange"},"TimeStamp":{"properties":{"hour":{"maximum":23,"minimum":0,"type":"number"},"minute":{"maximum":59,"minimum":0,"type":"number"}},"required":["hour","minute"],"type":"object","title":"TimeStamp","description":"TimeStamp"},"ScanningRuleConfiguration":{"description":"Configuration to show the client how the items should be scanned during picking","properties":{"values":{"items":{"$ref":"#/components/schemas/ScanningRuleValue"},"type":"array"}},"title":"ScanningRuleConfiguration"},"ScanningRuleValue":{"properties":{"priority":{"description":"This field allows you to rank scanningRuleType against each other. The lowest number is the most preferable.","minimum":0,"type":"number"},"scanningRuleType":{"$ref":"#/components/schemas/ScanningRuleTypeEnum"}},"required":["priority","scanningRuleType"],"type":"object","title":"ScanningRuleValue","description":"ScanningRuleValue"},"ScanningRuleTypeEnum":{"description":"Type of scanning rule","enum":["ARTICLE","LOCATION"],"type":"string","title":"ScanningRuleTypeEnum"},"TagReference":{"properties":{"id":{"type":"string"},"value":{"type":"string"}},"required":["value","id"],"title":"TagReference","description":"TagReference"},"ManagedFacilityForModification":{"additionalProperties":false,"properties":{"address":{"$ref":"#/components/schemas/FacilityAddressForCreation"},"capacityEnabled":{"description":"Indicates that configured capacity limits for picking times are considered","nullable":true,"type":"boolean"},"capacityPlanningTimeframe":{"description":"The range in days per facility which defines how many days in the future the capacity of the facility can be planned","minimum":1,"nullable":true,"type":"integer"},"closingDays":{"description":"Days of the year where the facility is closed and doesn't allows picking","items":{"$ref":"#/components/schemas/ClosingDay"},"nullable":true,"type":"array"},"configs":{"items":{"$ref":"#/components/schemas/LinkedConfiguration"},"nullable":true,"type":"array"},"contact":{"allOf":[{"$ref":"#/components/schemas/FacilityContact"}],"nullable":true,"type":"object"},"customAttributes":{"description":"Attributes that can be added to the facility. These attributes cannot be used within fulfillment processes, but it could be useful to have the informations carried here.","nullable":true,"type":"object"},"fulfillmentProcessBuffer":{"description":"Duration in minutes until an order is processed","minimum":0,"nullable":true,"type":"integer"},"locationType":{"allOf":[{"$ref":"#/components/schemas/FacilityLocationType"}],"nullable":true,"type":"string"},"name":{"type":"string"},"pickingMethods":{"description":"Picking Methods supported by this facility.","items":{"$ref":"#/components/schemas/PickingMethodEnum"},"nullable":true,"type":"array"},"pickingTimes":{"allOf":[{"$ref":"#/components/schemas/PickingTimes"}],"nullable":true,"type":"object"},"scanningRule":{"allOf":[{"$ref":"#/components/schemas/ScanningRuleConfiguration"}],"nullable":true,"type":"object"},"services":{"items":{"$ref":"#/components/schemas/FacilityService"},"nullable":true,"type":"array"},"status":{"$ref":"#/components/schemas/FacilityStatus"},"tenantFacilityId":{"description":"The id of the facility in the tenants own system","nullable":true,"type":"string"},"type":{"$ref":"#/components/schemas/FacilityType"},"version":{"description":"The version of the document to be used in optimistic locking mechanisms.","format":"int64","type":"integer"},"tags":{"items":{"$ref":"#/components/schemas/TagReference"},"minItems":1,"nullable":true,"type":"array"}},"required":["type","version"],"type":"object","xml":{"name":"ManagedFacilityForModification"},"title":"ManagedFacilityForModification","description":"ManagedFacilityForModification"},"FacilityAddressForCreation":{"allOf":[{"$ref":"#/components/schemas/Address"},{"properties":{"companyName":{"type":"string"},"emailAddresses":{"items":{"properties":{"recipient":{"description":"Human readable information who is the recipient for emails sent to this address.","type":"string"},"value":{"type":"string"}},"required":["value"],"type":"object"},"maxItems":10,"type":"array"},"resolvedCoordinates":{"$ref":"#/components/schemas/Coordinates"},"resolvedTimeZone":{"allOf":[{"$ref":"#/components/schemas/TimeZoneForCreation"}],"description":"User-specified time zone in identifier format (e.g., \"America/Los_Angeles\"). Used to determine local time. Relevant only if the country spans multiple time zones; otherwise, the time zone is automatically determined from the country or via Google if unspecified."}},"required":["companyName"],"type":"object"}],"type":"object","xml":{"name":"FacilityAddressForCreation"},"title":"FacilityAddressForCreation","description":"FacilityAddressForCreation"},"Address":{"properties":{"additionalAddressInfo":{"type":"string"},"city":{"pattern":"^.+$","type":"string"},"country":{"description":"A two-digit country code as per ISO 3166-1 alpha-2","pattern":"^[A-Z]{2}$","type":"string"},"customAttributes":{"description":"Attributes that can be added to the address. These attributes cannot be used within fulfillment processes, but it could be useful to have the informations carried here.","type":"object"},"houseNumber":{"pattern":"^.+$","type":"string"},"phoneNumbers":{"items":{"properties":{"customAttributes":{"description":"Attributes that can be added to the phonenumber. These attributes cannot be used within fu
[...]
